Kerbal Space Program - Bug #13440

Crash (SIGABRT) on start
12/16/2016 09:25 PM - dsche

Status: Closed Start date: 12/16/2016
Severity: Low % Done: 100%
Assignee:

Category: Application

Target version:

Version: 1.21 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

I am running a Linux system with the following parameters (as given by logfile):
Kerbal Space Program - 1.2.1.1604 (LinuxPlayer)

0S: Linux 4.4 openSUSE project 42.2 64bit

CPU: AMD Phenom(tm) II X4 965 Processor (4)

RAM: 15787

GPU: GeForce GTX 750 Ti/PCIe/SSE2 (2048MB)

SM: 30 (OpenGL 4.5 [4.5.0 NVIDIA 367.571])

RT Formats: ARGB32, Depth, ARGBHalf, Shadowmap, RGB565, ARGB4444, ARGB1555, Default,
DefaultHDR, ARGBFloat, RGFloat, RGHalf, RFloat, RHalf, RS8

On startup, | see a black game window for a second and the following lines on console.

Set current directory to /home/dimmy/tools/KSP2/KSP_linux
Found path: /home/dimmy/tools/KSP2/KSP_linux/KSP.x86_64

Mono path([0] = '/home/dimmy/tools/KSP2/KSP_linux/KSP_Data/Managed’

Mono path([1l] = '/home/dimmy/tools/KSP2/KSP_linux/KSP_Data/Mono'

Mono config path = '/home/dimmy/tools/KSP2/KSP_linux/KSP_Data/Mono/etc'
displaymanager : xrandr version warning. 1.5

client has 4 screens
displaymanager screen (0) (DVI-D-0): 1920 x 1080
Using libudev for joystick management

Importing game controller configs
/dev/input/js0: driver version: 2.1.0 (20100)
/dev/input/js0: fd 4, buttons 7, axes 6, name Saitek Cyborg V.1

/dev/input/js0: axis O0: raw —-32767, mapped 0.000000
/dev/input/js0: axis 1: raw —-32767, mapped 0.000000
/dev/input/js0: axis 2: raw —-32767, mapped 0.000000
/dev/input/js0: axis 3: raw —-32767, mapped 0.000000
/dev/input/js0: axis 4: raw 0, mapped 0.000000
/dev/input/js0: axis 5: raw 0, mapped 0.000000
Assigning joystick 1

[1] 11616 abort (core dumped) ./KSP.x86_64

This behavior persists after removing the Unity3D
prefs
file; same happens with Launcher.x86_64.

The trace (strace) is attached.
History

#1 - 12/22/2016 10:22 AM - sal_vager

04/23/2024
- Status changed from New to Need More Info

Hi dsche, it's much easier to handle tech support issues on the forums here
http://forum.kerbalspaceprogram.com/index.php?/forum/7-gameplay-and-technical-support/

Also please be aware that the Unity3D engine and KSP are only really supported on the Debian based distros Ubuntu and Steam OS.
Make sure you have all the libraries that Unity3D needs by using objdump from the command line.

$ objdump -p /path/to/program | grep NEEDED

Usually libcursor1.so is missing, and you will need it to run Unity3D games on Linux

Let me know how you get on.

#2 - 07/25/2019 08:00 PM - chris.fulton
- Status changed from Need More Info to Resolved

- % Done changed from 0 to 100

#3 - 07/25/2019 08:00 PM - chris.fulton

- Status changed from Resolved to Closed

Files

ksp.trace 4.41 MB 12/16/2016 dsche
